Subject: Re: bug#65797: `buffer-match-p` should not use `func-arity`

From: Dmitry Gutov <[email-masked]>
Date: Sun, 8 Oct 2023 13:25:49 +0300

On 08/10/2023 12:10, Joseph Turner wrote:
>> Though we'll still have to document the distinction in the docstrings
>> of project-kill-buffer-conditions and etc (the number of the arguments
>> called with).
> How do the project.el docstrings need to be updated?

Bad phrasing on my part, sorry: no need to touch them in this particular 
patch. Or probably after (the number of args will stay unchanged).

But other similar variables, especially new ones, related to the user of 
buffer-match-p, would need to mention the number of args passed to PRED.